NEWALIASES(8)

NAME
newaliases - rebuild the database for the mail aliases file

SYNOPSIS
newaliases [-f file]

DESCRIPTION
newaliases rebuilds the random access database for the mail aliases file, the location of which is defined in smtpd.conf(5), and which by default is /etc/smtpd/aliases. If using database (db) files this utility must be run every time the aliases(5) file is changed.

The options are as follows:

-f file
    Use file as the configuration file, instead of the default /etc/smtpd/smtpd.conf.

Note: this utility is provided for sendmail compatibility. The preferred way of rebuilding the database is with makemap(8):

    # makemap -t aliases /etc/smtpd/aliases

FILES
/etc/smtpd/aliases
    List of local user mail aliases.
/etc/smtpd/virtual
    List of virtual host aliases.

EXIT STATUS

SEE ALSO
smtpd.conf(5), makemap(8)

HISTORY
The newaliases command first appeared in OpenBSD 4.6 as a replacement for the equivalent command shipped with sendmail.